/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
/* SCCSID = %%s %%s %%s */

/****************************************************************************/
/*                                                                          */
/*                                                                          */
/*                                                                          */
/****************************************************************************/

                                                 /* handle manager functions */
typedef ULONG  HANDLE; /* h */
typedef HANDLE *PHANDLE;

HANDLE AllocHandle(PVOID pObject, ULONG ulClass);
PVOID  HandleToPointer(HANDLE hObject, ULONG ulClass);
VOID   FreeHandle(HANDLE hObject, ULONG ulClass);


VOID  InitHandleMgr(VOID);
ULONG OpenDispConfig(PSZ pszDispCfg, HANDLE *phCfg, PSZ pszSep);
VOID  CloseDispConfig(HANDLE hCfg);

ULONG GetFileTokOpen(HANDLE hCfg, PHANDLE phSearch);
ULONG GetFileTokNext(HANDLE hSearch, PSZ *ppszTok);
USHORT GetFileTokLine(HANDLE hSearch);
VOID GetFileTokClose(HANDLE hSearch);
